#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           korganizer
Epoch:          2
Version: 24.08.0
Release:        %mkrel %{rel}
Summary:        Calendar and scheduling component
Group:          Graphical desktop/KDE
License:        GPLv2
URL:            https://apps.kde.org/korganizer/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%name-%{version}.tar.xz
# FIXME missing 32bit support for akonadi-calendar
ExclusiveArch:  aarch64 x86_64

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6UiTools)

# Find KF6 package
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6ItemViews)
BuildRequires:  cmake(KF6JobWidgets)
BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:  cmake(KF6NewStuff)
BuildRequires:  cmake(KF6Parts)
BuildRequires:  cmake(KF6WidgetsAddons)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6Holidays)
BuildRequires:  cmake(KF6DocTools)

# Find KdepimLibs Package
BuildRequires:  cmake(KPim6Akonadi)
BuildRequires:  cmake(KF6Contacts)
BuildRequires:  cmake(KF6CalendarCore)
BuildRequires:  cmake(KPim6AkonadiContactWidgets)
BuildRequires:  cmake(KPim6IdentityManagementCore)
BuildRequires:  cmake(KPim6MailTransport)
BuildRequires:  cmake(KPim6CalendarUtils)
BuildRequires:  cmake(KPim6LdapWidgets)
BuildRequires:  cmake(KPim6AkonadiCalendar)
BuildRequires:  cmake(KPim6KontactInterface)
BuildRequires:  cmake(KPim6Mime)
BuildRequires:  cmake(KPim6AkonadiNotes)
BuildRequires:  cmake(KPim6PimCommonAkonadi)
BuildRequires:  cmake(KPim6Libkdepim)
BuildRequires:  cmake(KPim6IncidenceEditor)
BuildRequires:  cmake(KPim6CalendarSupport)
BuildRequires:  cmake(KPim6EventViews)

BuildRequires:  cmake(KF6UserFeedback)

Requires:       akonadi-calendar-tools
Requires:       akonadi-kde
Requires:       akonadi-search
Requires:       kdepim-addons

Recommends:     korganizer-handbook

# ease upgrade mga9 -> mga10
Conflicts:      kdepim-addons < 24.07.90-1


%description
KOrganizer provides management of events and tasks, alarm notification,
web export, network transparent handling of data, group scheduling,
import and export of calendar files and more. It is able to work together
with a wide variety of groupware servers, for example Kolab, Open-Xchange,
Citadel or OpenGroupware.org.

%files -f %name.lang
%_kf6_categoriesdir/korganizer.categories
%_kf6_categoriesdir/korganizer.renamecategories
%_kf6_bindir/korganizer
%_kf6_datadir/knsrcfiles/korganizer.knsrc
%_qt6_plugindir/korganizerpart.so
%_qt6_plugindir/pim6/kcms/korganizer/
%_kf6_metainfodir/org.kde.korganizer.appdata.xml
%_kf6_applicationsdir/org.kde.korganizer.desktop
%_kf6_applicationsdir/korganizer-import.desktop
%_kf6_applicationsdir/korganizer-view.desktop
%_kf6_datadir/config.kcfg/korganizer.kcfg
%_kf6_datadir/korganizer/
%_datadir/dbus-1/interfaces/org.kde.Korganizer.Calendar.xml
%_datadir/dbus-1/interfaces/org.kde.korganizer.Korganizer.xml
# Kontact integration
%_qt6_plugindir/pim6/kontact/kontact_korganizerplugin.so
%_qt6_plugindir/pim6/kontact/kontact_journalplugin.so
%_qt6_plugindir/pim6/kontact/kontact_specialdatesplugin.so
%_qt6_plugindir/pim6/kontact/kontact_todoplugin.so
%_qt6_plugindir/pim6/kcms/summary/kcmapptsummary.so
%_qt6_plugindir/pim6/kcms/summary/kcmsdsummary.so
%_qt6_plugindir/pim6/kcms/summary/kcmtodosummary.so
# korganizer addons
%dir %_qt6_plugindir/pim6/korganizer
%_qt6_plugindir/pim6/korganizer/datenums.so
%_qt6_plugindir/pim6/korganizer/lunarphases.so
%_qt6_plugindir/pim6/korganizer/picoftheday.so
%_qt6_plugindir/pim6/korganizer/thisdayinhistory.so
%_kf6_iconsdir/*/*/*/*
%_kf6_datadir/dbus-1/services/org.kde.korganizer.service

#------------------------------------------------------------------------------

%define korganizer_core_major 6
%define libkorganizer_core %mklibname korganizer_core %korganizer_core_major

%package -n %libkorganizer_core
Summary:        KDEPIM library
Group:          System/Libraries

%description -n %libkorganizer_core
KDEPIM library.

%files -n %libkorganizer_core
%_kf6_libdir/libkorganizer_core.so.%{korganizer_core_major}{,.*}

#------------------------------------------------------------------------------

%define korganizer_interfaces_major 6
%define libkorganizer_interfaces %mklibname korganizer_interfaces %korganizer_interfaces_major

%package -n %libkorganizer_interfaces
Summary:        KDEPIM library
Group:          System/Libraries

%description -n %libkorganizer_interfaces
KDEPIM library.

%files -n %libkorganizer_interfaces
%_kf6_libdir/libkorganizer_interfaces.so.%{korganizer_interfaces_major}{,.*}

#------------------------------------------------------------------------------

%define korganizerprivate_major 6
%define libkorganizerprivate %mklibname korganizerprivate %korganizerprivate_major

%package -n %libkorganizerprivate
Summary:        KDEPIM library
Group:          System/Libraries

%description -n %libkorganizerprivate
KDEPIM library.

%files -n %libkorganizerprivate
%_kf6_libdir/libkorganizerprivate.so.%{korganizerprivate_major}{,.*}

#------------------------------------------------------------------------------

%package -n korganizer-handbook
Summary:        Korganizer Handbook
Group:          Documentation
BuildArch:      noarch

%description -n korganizer-handbook
This package provides korganizer handbook.

%files -n korganizer-handbook
%_kf6_docdir/HTML/*/korganizer

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6

%cmake_build

%install
%cmake_install
%find_lang %name --all-name


%changelog
* Thu Aug 22 2024 daviddavid <daviddavid> 2:24.08.0-1.mga10
+ Revision: 2087657
- New version 24.08.0

* Tue Aug 13 2024 daviddavid <daviddavid> 2:24.07.90-1.mga10
+ Revision: 2086453
- New version 24.07.90

* Fri Jun 14 2024 daviddavid <daviddavid> 2:24.05.1-1.mga10
+ Revision: 2073269
- New version 24.05.1

* Wed Jun 05 2024 neoclust <neoclust> 2:24.05.0-1.mga10
+ Revision: 2069920
- New version 24.05.0

* Thu Apr 18 2024 neoclust <neoclust> 2:24.02.2-1.mga10
+ Revision: 2058667
- New version 24.02.2

* Sat Mar 02 2024 neoclust <neoclust> 2:24.02.0-1.mga10
+ Revision: 2046548
- New version 24.02.0

* Tue Feb 06 2024 neoclust <neoclust> 2:24.01.95-1.mga10
+ Revision: 2037704
- New version 24.01.95

* Mon Feb 05 2024 daviddavid <daviddavid> 2:24.01.90-2.mga10
+ Revision: 2037274
- fix dependencies

* Tue Jan 23 2024 neoclust <neoclust> 2:24.01.90-1.mga10
+ Revision: 2033829
- New version 24.01.90

* Thu Jan 04 2024 daviddavid <daviddavid> 2:24.01.85-2.mga10
+ Revision: 2027524
- enable KUserFeedback support

* Mon Jan 01 2024 neoclust <neoclust> 2:24.01.85-1.mga10
+ Revision: 2025204
- New version 24.01.85

* Wed Nov 22 2023 neoclust <neoclust> 2:24.01.75-1.mga10
+ Revision: 2009098
- New version 24.01.75

* Sat Sep 30 2023 daviddavid <daviddavid> 2:23.08.1-1.mga10
+ Revision: 1992383
- update build dependencies
+ neoclust <neoclust>
- New version 23.08.1

* Fri May 26 2023 neoclust <neoclust> 2:23.04.1-1.mga9
+ Revision: 1958226
- New version 23.04.1

* Thu Mar 02 2023 neoclust <neoclust> 2:22.12.3-1.mga9
+ Revision: 1946538
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 2:22.12.2-1.mga9
+ Revision: 1941831
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 2:22.12.0-1.mga9
+ Revision: 1922952
- New version 22.12.0

* Thu Dec 01 2022 neoclust <neoclust> 2:22.11.90-1.mga9
+ Revision: 1913829
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 2:22.08.3-1.mga9
+ Revision: 1905298
- New version 22.08.3

* Sun Sep 11 2022 neoclust <neoclust> 2:22.08.1-1.mga9
+ Revision: 1886817
- New version 22.08.1

* Thu Sep 01 2022 neoclust <neoclust> 2:22.08.0-1.mga9
+ Revision: 1883323
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 2:22.04.3-1.mga9
+ Revision: 1873113
- New version 22.04.3

* Tue Apr 26 2022 neoclust <neoclust> 2:22.04.0-1.mga9
+ Revision: 1854006
- New version 22.04.0

* Sat Apr 23 2022 neoclust <neoclust> 2:22.03.90-1.mga9
+ Revision: 1852879
- New version 22.03.90

* Sat Jan 01 2022 neoclust <neoclust> 2:21.12.0-1.mga9
+ Revision: 1766046
- New version 21.12.0
- New version 21.11.90

* Sat May 15 2021 neoclust <neoclust> 2:21.04.1-1.mga9
+ Revision: 1724105
- New version 21.04.1

* Fri Apr 23 2021 neoclust <neoclust> 2:21.04.0-1.mga9
+ Revision: 1718390
- New version 21.04.0

* Thu Mar 04 2021 neoclust <neoclust> 2:20.12.3-2.mga9
+ Revision: 1698593
- New version 20.12.3

* Sun Feb 28 2021 neoclust <neoclust> 2:20.12.2-1.mga9
+ Revision: 1694119
- New version 20.12.2

* Fri Dec 11 2020 neoclust <neoclust> 2:20.12.0-1.mga8
+ Revision: 1655649
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 2:20.08.3-1.mga8
+ Revision: 1644034
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 2:20.08.2-1.mga8
+ Revision: 1633850
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 2:20.08.1-1.mga8
+ Revision: 1627093
- New version 20.08.1

* Fri Aug 21 2020 neoclust <neoclust> 2:20.08.0-1.mga8
+ Revision: 1617412
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 2:20.04.3-1.mga8
+ Revision: 1604157
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 2:20.04.2-1.mga8
+ Revision: 1596895
- New version 20.04.2

* Mon May 18 2020 neoclust <neoclust> 2:20.04.1-1.mga8
+ Revision: 1585783
- New version 20.04.1

* Sun Apr 19 2020 daviddavid <daviddavid> 2:20.04.0-2.mga8
+ Revision: 1569722
- enable KUserFeedback support

* Fri Apr 17 2020 neoclust <neoclust> 2:20.04.0-1.mga8
+ Revision: 1568171
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 2:19.12.3-1.mga8
+ Revision: 1559360
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 2:19.12.2-2.mga8
+ Revision: 1540907
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 2:19.12.2-1.mga8
+ Revision: 1513330
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Sat Dec 14 2019 neoclust <neoclust> 2:19.12.0-1.mga8
+ Revision: 1466988
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 2:19.08.3-1.mga8
+ Revision: 1457936
- New version 19.08.3

* Sat Sep 28 2019 neoclust <neoclust> 2:19.08.1-1.mga8
+ Revision: 1447876
- New version 19.08.1

* Mon Jul 29 2019 neoclust <neoclust> 2:19.04.3-1.mga8
+ Revision: 1425028
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 2:19.04.0-1.mga7
+ Revision: 1390483
- New version 19.04.0
- New version 19.04.00

* Tue Apr 09 2019 neoclust <neoclust> 2:19.03.90-1.mga7
+ Revision: 1387690
- New version 19.03.90

* Sun Mar 31 2019 umeabot <umeabot> 2:18.12.3-2.mga7
+ Revision: 1382765
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 2:18.12.3-1.mga7
+ Revision: 1375666
- New version 18.12.3

* Tue Mar 12 2019 daviddavid <daviddavid> 2:18.12.2-2.mga7
+ Revision: 1374490
- add some missing dependencies

* Tue Feb 12 2019 neoclust <neoclust> 2:18.12.2-1.mga7
+ Revision: 1365606
- New version 18.12.2

* Mon Jan 14 2019 neoclust <neoclust> 2:18.12.1-1.mga7
+ Revision: 1356541
- New version 18.12.1

* Mon Dec 10 2018 neoclust <neoclust> 2:18.12.0-1.mga7
+ Revision: 1339548
- New version 18.12.0

* Wed Nov 21 2018 neoclust <neoclust> 2:18.08.3-1.mga7
+ Revision: 1332778
- New version 18.08.3

* Thu Nov 01 2018 neoclust <neoclust> 2:18.08.2-1.mga7
+ Revision: 1327432
- New version 18.08.2

* Sun Sep 23 2018 umeabot <umeabot> 2:18.04.1-2.mga7
+ Revision: 1298627
- Mageia 7 Mass Rebuild

* Sun May 13 2018 neoclust <neoclust> 2:18.04.1-1.mga7
+ Revision: 1229035
- New version 18.04.1

* Fri Feb 16 2018 neoclust <neoclust> 2:17.12.2-1.mga7
+ Revision: 1201928
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 2:17.12.1-1.mga7
+ Revision: 1194950
- New version 17.12.1

* Sun Jan 07 2018 neoclust <neoclust> 2:17.12.0-1.mga7
+ Revision: 1191182
- New version 17.12.0

* Tue Aug 22 2017 neoclust <neoclust> 2:17.08.0-1.mga7
+ Revision: 1143080
- New version 17.08.0

* Sat Aug 05 2017 neoclust <neoclust> 2:17.07.90-1.mga7
+ Revision: 1136814
- New version 17.07.90

* Tue Aug 01 2017 pterjan <pterjan> 2:17.04.3-2.mga7
+ Revision: 1133583
- Fix for new find_lang

* Fri Jul 28 2017 neoclust <neoclust> 2:17.04.3-1.mga7
+ Revision: 1131763
- New version 17.04.3

* Sat Mar 11 2017 neoclust <neoclust> 2:16.12.3-2.mga6
+ Revision: 1091976
- Exclude on armv5

* Wed Mar 08 2017 neoclust <neoclust> 2:16.12.3-1.mga6
+ Revision: 1090111
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 2:16.12.0-1.mga6
+ Revision: 1076855
- New version 16.12.0

* Thu Dec 15 2016 neoclust <neoclust> 2:16.11.90-1.mga6
+ Revision: 1075330
- imported package korganizer

